import cx from 'classnames';
import React from 'react';
import theme from './theme.css';

var Monospaced = function Monospaced(_ref) {
  var children = _ref.children,
      className = _ref.className,
      _ref$element = _ref.element,
      element = _ref$element === void 0 ? 'span' : _ref$element;
  var classNames = cx(theme['monospaced'], className);
  var Element = element;
  return /*#__PURE__*/React.createElement(Element, {
    "data-teamleader-ui": "monospaced",
    className: classNames
  }, children);
};

export default Monospaced;